<!--
Copyright (C) 2018 Freetech Solutions

This file is part of OMniLeads

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

-->
{% load staticfiles %}
{% load compress %}
{% load i18n %}

<!DOCTYPE html>
<html lang='es'>
<head>
    <meta charset="utf-8">
    <title>{% trans 'OmniLeads' %}</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Stylesheets -->
    <link rel="stylesheet" href="{% static 'bootstrap-4.0.0/css/bootstrap.min.css' %}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/jquery.dataTables.min.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/bootstrap-datetimepicker.min.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/main.css' %}">
    <!-- Fonts -->
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/google-font.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/fa-solid.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/fa-regular.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/fontawesome.css' %}">
    <link rel="stylesheet" href="{% static 'ominicontacto/CSS/oml-icons.css' %}">
    <!-- Scripts -->
    <script type="text/javascript" src="{% url 'javascript-catalog' %}"></script>
    {% compress js %}
    <script src="{% static 'jquery-2.2.4.min.js' %}"></script>
    <script src="{% static 'bootstrap-4.0.0/js/bootstrap.bundle.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/csrf.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/daterangepicker.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/ranges-datepicker.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/config_datetimepicker.js' %}"></script>
    <script type="text/javascript" src="{% static 'django_js_reverse/js/reverse.js' %}"></script>
    {% endcompress %}
    <script type="text/javascript" src="{% static 'ominicontacto/JS/jquery.dataTables.min.js' %}"></script>
    <!-- librerías opcionales que activan el soporte de HTML5 para IE8 -->
    <!--[if lt IE 9]>
        <script src="{% static 'ominicontacto/JS/html5shiv-3.7.0.js' %}"></script>
        <script src="{% static 'ominicontacto/JS/respond-1.4.2.min.js' %}"></script>
    <![endif]-->
</head>

<body>

<!-- Modal de Pausa -->
<div class="modal fade" id="modalPause" role="dialog">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title">{% trans 'Tomar Pausa' %}</h1>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <select class="form-control" id="pauseType">
                    {% for pausa in pausas %}
                        <option id="" value="{{ pausa.id }}">{{ pausa.nombre }}</option>
                    {% endfor %}
                </select>
            </div>
            <div class="modal-footer">
                <button type="button" id="setPause" class="btn btn-primary">{% trans 'Iniciar' %}</button>
            </div>
        </div>
    </div>
</div> <!-- FIN Pausa -->

<!-- modal que se muestra cuando entra una llamada -->
<div id="modalReceiveCalls" data-backdrop="static" data-keyboard="false" class="modal fade bs-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <em><b class="tituloLlamEntrante">{% trans 'Llamada Entrante' %}</b></em>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <h4 class="cuerpoLlamEntrante">
                <span class="label label-info">{% trans 'De:' %}</span>
                <label name="callerid" id="callerid"></label><br>
                <span class="label label-info">{% trans 'Info extra:' %}</span>
                <label name="extraInfo" id="extraInfo">.....</label>
                </h4>
            </div>
            <div class="modal-footer">
                <button type="button" id="answer" class="btn btn-success btn-sm">{% trans 'Responder' %}</button>
                <button type="button" id="doNotAnswer" class="btn btn-danger btn-sm">{% trans 'Rechazar' %}</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal que se despliega al dar clic en Marcar Llamada -->
<div id="modalSignCall" class="modal fade bs-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <h2 class="modal-title">{% trans 'Marcación de Llamada' %}</h2>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="idCamp"/>
                <textarea id="SignDescription" placeholder="Motivo de marca" class="form-control"></textarea>
            </div>
            <div class="modal-footer">
                <button type="button" id="SaveSignedCall" class="btn btn-primary">{% trans 'Guardar' %}</button>
            </div>
        </div>
    </div>
</div>

<!-- modal que se muestra cuando quiere realizarse una llamada manual -->
<div id="modalSelectCmp" class="modal fade bs-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <h2 class="modal-title">{% trans 'Llam.  Manual a Campaña' %}</h2>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <select class="form-control" id="cmpList">
                    {% for queue_member in user.get_agente_profile.get_campanas_activas_miembro %}
                    <option value = "{{ queue_member.queue_name.campana.pk }}"
                    campana_type="{{ queue_member.queue_name.campana.type }}"> {{ queue_member.queue_name.campana.nombre }} </option>
                    {% endfor %}
                </select>
            </div>
            <div class="modal-footer">
                <button type="button" id="SelectCamp" class="btn btn-primary">{% trans 'Ok' %}</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal que se despliega al dar clic en Marcar Llamada Fuera de Campaña -->
<div id="modalCallOffCamp" class="modal fade bs-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-sm" style="max-width:400px">
        <div class="modal-content">
            <div class="modal-header">
                <h2 class="modal-title">{% trans 'Llamada fuera de Campaña' %}</h2>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-footer">
                <select class="form-control" id="agente_off_camp">
                    {% for agente in agentes %}
                        <option value = "{{ agente.id }}"> {{ agente.user.get_full_name }} </option>
                    {% endfor %}
                </select>
                <button type="button" id="call_agent" class="btn btn-primary">{% trans 'Llamar Agente' %}</button>
            </div>
            <div class="modal-footer">
                <label for="number_off_camp" ></label>
                <input type="text" id="phone_off_camp" id="phone_off_camp" class="form-control"/>
                <button type="button" id="call_phone_off_campaign" class="btn btn-primary">{% trans 'Llamar numero' %}</button>
            </div>
        </div>
    </div>
</div>

<!-- modal que se despliega al clicar transferir -->
<div class="modal fade" id="modalTransfer" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="title-transfer">{% trans 'Transferir' %}</h3>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body container form-inline">
                <div class="form-group row col-xs-6">
                    <label class="typetransf-firstcolumn">{% trans 'Tipo de transferencia:' %}</label>
                    <div class="radio col-xs-2">
                        <label>
                            <input type="radio" name="tipotransf" id="blindTransf" class="typetransf-secondcolumn"/>&nbsp;{% trans 'Ciega' %}
                        </label>
                    </div>

                    <div class="radio col-xs-3">
                        <label>
                            <input type="radio" name="tipotransf" id="consultTransf" class="typetransf-secondcolumn"/>&nbsp;{% trans 'Asistida' %}
                        </label>
                    </div>
                </div>
                <br>
                <br>
                <div class="form-group row col-xs-6">
                    <div class="radio col-xs-3 col-xs-offset-4">
                        <label>
                            <input class="typetransf-firstcolumn" type="radio" name="dstTransf" id="transfToNum"/>&nbsp;{% trans 'a Número' %}
                        </label>
                    </div>
                    <input type="text" class="form-control typetransf-secondcolumn-number" id="numberToTransfer" disabled/>
                </div>
                <br>
                <br>
                <div class="form-group row col-xs-6">
                    <div class="radio col-xs-3 col-xs-offset-4">
                        <label>
                            <input class="typetransf-firstcolumn" type="radio" name="dstTransf" id="transfToCamp"/>&nbsp;{% trans 'a Campaña' %}
                        </label>
                    </div>
                    <select class="form-control typetransf-secondcolumn" id="campToTransfer" disabled>
                    </select>
                </div>
                <br>
                <br>
                <div class="form-inline form-group row col-xs-6">
                    <div class="radio col-xs-3 col-xs-offset-4">
                        <label>
                            <input class="typetransf-firstcolumn" type="radio" name="dstTransf" id="transfToAgent"/>&nbsp;{% trans 'a Agente' %}
                        </label>
                    </div>
                    <select class="form-control typetransf-secondcolumn-agent" id="agentToTransfer" disabled>
                    </select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" id="makeTransfer" class="btn btn-success btn-sm">{% trans 'Hecho' %}</button>
            </div>
        </div>
    </div>
</div>
<!-- FIN transferencias -->

<!-- WEBCHAT -->
<!-- <div class="modal fade" id="modalwebChat" role="dialog">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
          <h1>WebChat</h1>
          <button type="button" class="close" data-dismiss="modal">
              <span aria-hidden="true">&times;</span>
          </button>
      </div>
      <div class="modal-body">
        <div class="container-fluid">
          <div class="row">
            <input type="hidden" value="{{user}}" id="user">
            <div class="col-md-4 col-md-offset-1">
              <textarea class="form-control" rows="2" id="chatMessage" autocomplete="off" disabled="disabled"/></textarea>
            </div>
            <input type="hidden" value="">
            <button class="btn btn-md btn-success" disabled="disabled" id="sendMessage">Enviar</button> -->
            <!--<button type="button" id="conf" class="btn btn-info btn-sm">
              <span class="glyphicon glyphicon-cog"></span>
            </button>-->
          <!-- </div><br>
          <div class="row">
            <input type="hidden" id="conversationId"/>
            <div class="col-md-4 col-md-offset-1 chatWindow">
              <ul id="messages"></ul>
            </div>
            <div class="col-md-4 col-md-offset-1 table-responsive">
              <table class="table table-compressed table-stripped table-hover">
                <thead>
                  <th>Estado</th><th>Usuario</th><th style="text-align: right">Chatear</th>
                </thead>
                <tbody id="tbodyContacts">
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div> <!-- Fin Modal Webchat -->

<!-- Modal Webchat -->
<div class="modal fade" id="modalwebChat" role="dialog">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
        <div class="modal-header">
            <h1 class="modal-title">
                <span class="icon icon-solid-chat"></span>{% trans 'WebChat' %}
            </h1>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <div id="webchatWindow">
                <input type="hidden" id="conversationId"/>
                <div class="chatWindow">
                    <ul id="messages"></ul>
                </div>
                <div class="chatWindowActions">
                    <div>
                        <input type="hidden" value="{{user}}" id="user">
                        <textarea class="form-control" rows="1" id="chatMessage" autocomplete="off" placeholder="Escribe un mensaje..." disabled="disabled"/></textarea>
                    </div>
                    <div>
                        <input type="hidden" value="">
                        <button class="btn btn-primary" disabled="disabled" id="sendMessage">{% trans 'Enviar' %}</button>
                        <div class="dropdown">
                            <button class="btn btn-light dropdown-toggle" type="button" id="dropdownWebchatActions" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                              <span class="icon icon-cog"></span>
                            </button>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownWebchatActions">
                                <button class="dropdown-item" type="button">{% trans 'Acción' %}</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="webchatInfo">
                <table class="table table-compressed table-hover">
                    <thead>
                        <th>{% trans 'Estado' %}</th>
                        <th>{% trans 'Usuario' %}</th>
                        <th>{% trans 'Chatear' %}</th>
                    </thead>
                    <tbody id="tbodyContacts">
                    </tbody>
                </table>
            </div>
        </div>
    </div>
  </div>
</div> <!-- Fin Modal Webchat -->

<!-- SMS -->
<div class="modal fade" id="modalSMS" role="dialog">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
          <h1 class="modal-title">
              <span class="icon icon-solid-messages"></span>{% trans 'Mensajes' %}
          </h1>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
          </button>
      </div>
      <div class="modal-body">
          <ul class="nav nav-tabs" id="messagesTabBar" role="tablist">
            <li class="nav-item">
                <a class="nav-link active" id="messagesTab" data-toggle="tab" href="#messagesContent" role="tab" aria-controls="home" aria-selected="true">{% trans 'Mensajes' %}</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="registryTab" data-toggle="tab" href="#registryContent" role="tab" aria-controls="profile" aria-selected="false">{% trans 'Registro' %}</a>
            </li>
          </ul>

          <div class="tab-content" id="messagesTabContent">

            <div class="tab-pane fade show active" id="messagesContent" role="tabpanel" aria-labelledby="messagesTab">
              <table class="table table-compressed" id="threadMsgsTable">
                <thead>
                  <th>{% trans 'Desde' %}</th>
                  <th>{% trans 'A' %}</th>
                  <th>{% trans 'Mensaje' %}</th>
                  <th>{% trans 'Fecha' %}</th>
                </thead>
                <tbody id="bodyThreadMsgTable">
                </tbody>
              </table>

              <input type="hidden" id="phoneSendThread" value="">

              <textarea cols="12" rows="1" name='textSend' id="textSendThread" placeholder="{% trans 'El contenido de tu mensaje de texto aqui' %} " class="form-control" required></textarea><br>
              <button type="button" class="btn btn-primary" id="sendMessageFromThread" data-dismiss="modal">{% trans 'Enviar' %}</button>
            </div>

            <div class="tab-pane fade" id="registryContent" role="tabpanel" aria-labelledby="registryTab">
              <form role="form">
                      <div class="row">
                        <div class="col-md-7">
                          <div class="form-group">
                            <table class="table table-compressed" id="messagesTable">
                                <thead>
                                <th>{% trans 'Tel' %}</th>
                                <th>{% trans 'Mensaje' %}</th>
                                <th>{% trans 'Acciones' %}</th>
                              </thead>
                              <tbody id="cuerpoTabla">

                              </tbody>
                              <tr>
                              </tr>
                            </table>
                          </div>
                        </div>
                          <div>
                              <div class="form-group col-md-11">
                                  <label for="phoneSend">{% trans 'Tel' %}</label>
                                  <input type="text" name="phoneSend" id="phoneSend" placeholder="ej: 351 6543422" class="form-control" required>
                              </div>
                              <div class="form-group">
                                  <label for="textSend">{% trans 'Mensaje' %}</label>
                                  <textarea cols="19" rows="2" name='textSend' id="textSend" placeholder="{% trans 'El contenido de tu mensaje de texto aquí' %} " class="form-control" required></textarea>
                              </div>
                              <div class="form-group">
                                  <button id="sendMessage" type="button" name="Enviar" class="btn btn-primary">{% trans 'Enviar' %}</button>
                                  &nbsp;&nbsp;&nbsp;<label for="newSMS">{% trans 'Nuevos:' %}&nbsp;</label><label id="newSMS">0</label>
                              </div>
                          </div>
                    </div>
                </form>
            </div>

          </div>
      </div>
      <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">{% trans 'Cerrar' %}</button>
      </div>
    </div>
  </div>
</div> <!-- FIN SMS -->

<!-- FACEBOOK CHAT -->
<div class="modal fade" id="modalFacebook" role="dialog">
  <div class="modal-dialog modal-lg">
      <div class="modal-content">
          <div class="modal-header">
              <h1 class="modal-title">
                  <span class="icon icon-solid-fb-chat"></span>{% trans 'Facebook' %} chat
              </h1>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="modal-body">
              <div>
                  <table class="table table-compressed" id="messagesTable">
                      <thead>
                          <th>{% trans 'Conversaciones' %}</th>
                    </thead>
                    <tbody id="cuerpoTablaFb">
                    </tbody>
                    <tr>
                    </tr>
                  </table>
              </div>
              <div>
                  <form role="form">
                        <div class="chatWindow">
                            <div id="messagesFb"></div>
                        </div>
                        <div class="chatWindowActions">
                          <div>
                              <textarea cols="42" rows="1" name='textSend' id="textSendFb" placeholder="{% trans 'Escribe un mensaje...' %} " class="form-control" required></textarea>
                          </div>
                          <div>
                              <button id="sendMessageFb" type="button" name="Enviar" class="btn btn-primary">{% trans 'Enviar' %}</button>
                              <div class="dropdown">
                                  <button class="btn btn-light dropdown-toggle" type="button" id="dropdownFbActions" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <span class="icon icon-cog"></span>
                                  </button>
                                  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownFbActions">
                                      <button id="endDialogFb" class="dropdown-item" type="button">{% trans 'Fin' %}</button>
                                  </div>
                              </div>
                          </div>
                      </div>
                    </form>
              </div>
          </div>
      </div>
  </div>
</div> <!-- FIN FACEBOOK CHAT -->

<!-- modal informacion -->
<div class="modal fade" id="modalMensaje" role="dialog">
  <div class="modal-dialog modal-sm">
    <div class="modal-content">
      <div class="modal-body">
      	<label class="infoAjax" id="infoAjax"></label>
      </div>
    </div>
  </div>
</div> <!-- fin modal info -->

<!-- Contendio -->
<div class="wrapper-main">
    <nav id="navBar">
        <ul id="navMainMenu" class="list-unstyled">
            <div class="row">
                <div class="col-md-3">
                  <img src="{% static 'ominicontacto/Img/ic_logo.png' %}" id="nav-logo">
                </div>
            </div>
            <li class="main-menu-li">
                <span class="icon icon-notebook"></span>
                <a class="menu-header" href="#menuContacts" role="button" data-toggle="collapse" aria-expanded="false">{% trans 'Contactos' %}</a>
                <ul class="collapse list-unstyled submenu" id="menuContacts" data-parent="#navMainMenu">
                    <li id="wombatId"></li>
                    <li>
                        <a href="{% url 'seleccion_campana_adicion_contacto' %}" target="crm">{% trans 'Nuevo contacto' %}</a>
                    </li>
                    <li>
                        <a href="{% url 'contacto_list' %}" target="crm">{% trans 'Lista de contactos' %}</a>
                    </li>
                </ul>
            </li>
            <li class="main-menu-li">
                <span class="icon icon-agenda"></span>
                <a class="menu-link" href="{% url 'agenda_contacto_listado' %}" target="crm">{% trans 'Agendas' %}</a>
            </li>
            <li class="main-menu-li">
                <span class="icon icon-ratings"></span>
                <a class="menu-link" href="{% url 'reporte_agente_calificaciones' agente_profile.pk %}" target="crm">{% trans 'Calificaciones' %}</a>
            </li>
            {% if campanas_preview_activas %}
            <li class="main-menu-li">
                <span class="icon icon-agenda"></span>
                <a class="menu-link" href="{% url 'campana_preview_activas_miembro' %}" target="crm">{% trans 'Campañas preview' %}</a>
            </li>
            {% endif %}
            <li class="main-menu-li">
                <span class="icon icon-audio-file"></span>
                <a class="menu-link" href="{% url 'grabacion_agente_buscar' 1 %}" target="crm">{% trans 'Grabaciones' %}</a>
            </li>

<!--                 <li class="main-menu-li">
                <span class="icon icon-user"></span>
                <a href="#" role="button" aria-expanded="false">
                    Contactos <span class="caret"></span>
                </a>
                <ul class="dropdown-menu" role="menu">
                    <li id="wombatId"></li>
                    <li>
                        <a href="{#% url 'campana_dialer_selecciona_campana' #%}" target="crm">Nuevo contacto</a>
                    </li>
                    <li>
                        <a href="{#% url 'contacto_list' #%}" target="crm">Lista de contactos</a>
                    </li>
                </ul>
            </li>

          <li role="presentation" class="dropdown">
                <a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-expanded="false">
                    Agendas <span class="caret"></span>
                </a>
                <ul class="dropdown-menu" role="menu">
                    <li>
                        <a href="{% url 'agenda_contacto_listado' %}" target="crm">Agenda</a>
                    </li>
                </ul>
            </li>

            <li>
                <a href="{% url 'reporte_agente_calificaciones' agente_profile.pk %}" target="crm">Calificaciones</a>
            </li>

            {% if campanas_preview_activas %}
                <li>
                    <a href="{% url 'campana_preview_activas_miembro' %}" target="crm">Campañas preview</a>
                </li>
            {% endif %} -->

        </ul>
    </nav>

    <div class="wrapper-content">
        <div id="topBar">
            <button type="button" id="sidebarCollapse" class="btn">
                <span class="fas fa-bars"></span>
            </button>
            <div class="dropdown">
              <button class="btn btn-default dropdown-toggle" type="button" id="dropdownUser" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="icon icon-user"></span>
                <span class="user-name">{{ user.get_full_name }}</span>
              </button>
              <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownUser">
                  <a id="logout" class="dropdown-item" href="{% url 'agente_logout' %}">{% trans 'Salir' %}</a>
              </div>
            </div>
        </div>

        <div id="wrapperInner">

            <div id="wrapperInnerContent">
                <div id="timeBar">
                    <div id="timers">
                        <div id="operationTime" class="label label-default">
                            {% trans 'Operación:' %}
                            <span id="horaO"></span><span id="minsO"></span><span id="segsO"></span>
                        </div>
                        <div id="pauseTime" class="label label-default">
                            {% trans 'Pausa:' %}
                            <span id="horaP"></span><span id="minsP"></span><span id="segsP"></span>
                        </div>
                        <!-- <div id="sumTime" class="label label-default">
                            Total:
                            <span id="horaT"></span><span id="minsT"></span><span id="segsT"></span>
                        </div> -->
                    </div>
                    <div id="timersControls">
                        <span id="UserStatus"></span>
                        <button type="button" id="Pause" class="btn btn-warning btn-sm">
                            <span class="icon icon-control-pause"></span>{% trans 'Pausar' %}
                        </button>
                        <button type="button" id="Resume" class="btn btn-primary btn-sm">
                            <span class="icon icon-control-play"></span>{% trans 'Reaundar' %}
                        </button>
                    </div>

                    <input type="hidden" value="{{ agente_profile.id }}" id="idagt"/>
                        <input type="hidden" value="{{ sip_usuario }}" id="sipExt"/>
                        <input value="{{ sip_password }}" id="sipSec" type="hidden"/>
                </div>
                <div class="wrapper-info">
                    <input type="hidden" value="{{ agente_profile.grupo.auto_attend_inbound }}" id="auto_attend_IN"/>
                    <input type="hidden" value="{{ agente_profile.grupo.auto_attend_dialer }}" id="auto_attend_DIALER"/>
                    <input type="hidden" value="{{ agente_profile.grupo.auto_attend_ics }}" id="auto_attend_ICS"/>
                    <input type="hidden" value="{{ agente_profile.grupo.auto_pause }}" id="auto_pause"/>
                    <input type="hidden" value="{{ agente_profile.grupo.auto_unpause }}" id="auto_unpause"/>
                    <iframe src="{% url 'agenda_agente_list' %}" id="dataView" class="crm" name="crm">
                    </iframe>
                </div>
            </div>

            <div id="wrapperWebphone">
                <div class="webphone-header">
                    <button id="btnCloseWebphone"  type="button" class="btn close" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <ul class="nav nav-tabs" id="webphoneTabBar" role="tablist">
                      <li class="nav-item">
                          <a class="nav-link active" id="phoneTab" data-toggle="tab" href="#phoneContent" role="tab" aria-controls="phone" aria-selected="true"><span class="icon icon-solid-phone"></span>{% trans 'Teléfono' %}</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" id="phoneRegistryTab" data-toggle="tab" href="#phoneRegistryContent" role="tab" aria-controls="registry" aria-selected="false">{% trans 'Registro' %}</a>
                      </li>
                    </ul>
                </div>
                <div class="webphone-body">
                    <div class="tab-content" id="webphoneTabContent">
                        <div class="tab-pane fade show active" id="phoneContent" role="tabpanel" aria-labelledby="phoneTab">
                            <div class="container">
                                <div class="row" id="phoneStatus">
                                    <div class="col-md-12">
                                        <div id="CallStatus"></div>
                                        <div id="SipStatus"></div>
                                    </div>
                                </div>
                                <div class="row" id="phoneKeys">
                                    <div class="col-md-10">
                                        <div class="row filaCampoNroDiscar">
                                                <input type="text" class="form-control" id="numberToCall" name="numberToCall">
                                        </div>
                                        <div class="row" id="phoneKeysNumbers">
                                              <div>
                                                  <button id="1" class="btn key">1</button>
                                                  <button id="2" class="btn key">2</button>
                                                  <button id="3" class="btn key">3</button>
                                              </div>
                                              <div>
                                                  <button id="4" class="btn key">4</button>
                                                  <button id="5" class="btn key">5</button>
                                                  <button id="6" class="btn key">6</button>
                                              </div>
                                              <div>
                                                  <button id="7" class="btn key">7</button>
                                                  <button id="8" class="btn key">8</button>
                                                  <button id="9" class="btn key">9</button>
                                              </div>
                                              <div>
                                                  <button id="hashtag" class="btn key">#</button>
                                                  <button id="0" class="btn key">0</button>
                                                  <button id="asterisk" class="btn key astBtn">*</button>
                                              </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2 paddingNull">
                                        <div id="phoneKeysActions">
                                                <button type="button" id="call" class="btn btn-outline-primary" title="{% trans 'Llamar' %}">
                                                    <span class="icon icon-solid-phone-call"></span>
                                                </button>
                                                <button type="button" id="endCall" class="btn btn-outline-danger" title="{% trans 'Finalizar llamada' %}">
                                                    <span class="icon icon-solid-phone-end"></span>
                                                </button>
                                                <button type="button" id="redial" class="btn btn-outline-secondary" title="{% trans 'Rellamar' %}">
                                                    <span class="icon icon-solid-phone-redial"></span>
                                                </button>
                                                <button type="button" id="SignCall" class="btn btn-outline-secondary" title="{% trans 'Marcar Llamada' %}">
                                                    <span class="icon icon-solid-phone-save"></span>
                                                </button>
                                                <button type="button" id="recordCall" class="btn btn-outline-secondary" title="{% trans 'Grabar Llamada' %}">
                                                    <span>
                                                        <input class="hidden" name="recordOnUrl" id="recordOnUrl" type="text"
                                                               value="{% static 'ominicontacto/Img/record-on.svg' %}"/>
                                                        <input class="hidden" name="recordOffUrl" id="recordOffUrl" type="text"
                                                               value="{% static 'ominicontacto/Img/record-off.svg' %}"/>
                                                        <img src="{% static 'ominicontacto/Img/record-off.svg' %}">
                                                    </span>
                                                </button>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="phoneOptions">
                                <div id="sumTime">
                                    <span id="horaC"></span>
                                    <span id="minsC"></span>
                                    <span id="segsC"></span>
                                </div>
                                <div class="btn-group" data-toggle="buttons">
                                    <button id="Transfer" class="btn btn-outline-secondary" disabled="disabled">{% trans 'Transfer' %}</button>
                                    <button id="Confer" class="btn btn-outline-secondary" disabled="disabled">{% trans 'Confer' %}</button>
                                </div>
                                <div class="btn-group" data-toggle="buttons">
                                    <button id="EndTransfer" class="btn btn-outline-secondary" disabled="disabled">{% trans 'Cancel Transfer' %}</button>
                                    <button id="onHold" value="*198" class="btn btn-outline-secondary" disabled="disabled">{% trans 'Hold' %}</button>
                                </div>
                                <button id="changeCampAssocManualCall" class="btn btn-outline-secondary btn-sm">
                                    {% trans 'Campaña: ' %}<span id="campAssocManualCall"></span>
                                </button>
                                <button id="call_off_campaign_menu" class="btn btn-outline-secondary btn-sm">
                                    {% trans 'Llamar Fuera de Campaña: ' %}
                                </button>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="phoneRegistryContent" role="tabpanel" aria-labelledby="phoneRegistryTab">
                            <div class="container">
                                <div class="row" style="background:lightgrey; margin-bottom: 1rem;">
                                    <div class="col-lg-2 col-md-2 col-xs-2">
                                        <strong>{% trans 'Tipo' %}</strong>
                                    </div>
                                    <div class="col-lg-4 col-md-4 col-xs-4">
                                        <strong>{% trans 'Número' %}</strong>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-xs-6">
                                        <div><strong>{% trans 'Fecha' %} / {% trans 'Hora' %}</strong></div>
                                    </div>
                                </div>
                                <div class="row" id="call_list">
                                    {% include "agente/historico_llamadas_del_dia.html" %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <audio id="remoteAudio" autoplay="autoplay"></audio>
                <audio id="localAudio" muted="muted"></audio>
                <audio id="Welcome">
                  <source id="fuenteWel" src="{% static 'ominicontacto/ring/welcome.mp3' %}" type="audio/mpeg">
                </audio>
                <audio id="RingIn">
                  <source id="fuenteIn" src="{% static 'ominicontacto/ring/Kuma.mp3' %}" type="audio/mpeg">
                </audio>
                <audio id="RingOut">
                  <source id="fuenteOut" src="{% static 'ominicontacto/ring/tonoallamar.mp3' %}" type="audio/mpeg">
                </audio>
                <audio id="RingBusy">
                  <source id="fuentebOut" src="{% static 'ominicontacto/ring/busy.mp3' %}" type="audio/mpeg">
                </audio>

            </div> <!-- webphone Wrapper -->

        </div> <!-- wrapper Inner Content -->
    </div> <!-- wrapper-content -->
</div> <!-- wrapper-main -->

<!-- container que une la agenda con el crm-->
<div id="bottomBar">
    <div>
      <div class="iconApp" id="txtSms">
        <span class="icon icon-solid-messages"></span>
      </div>
      <div>{% trans 'SMS' %}</div>
    </div>
    <div>
      <div class="iconApp" id="webCall">
        <span class="icon icon-solid-phone"></span>
      </div>
      <div>{% trans 'Webphone' %}</div>
    </div>
    <div>
      <div class="iconApp" id="webChat">
        <span class="icon icon-solid-chat"></span>
      </div>
      <div>{% trans 'Webchat' %}</div>
    </div>
    <div>
      <div class="iconApp" id="facebookChat">
        <span class="icon icon-solid-fb-chat"></span>
      </div>
      <div>{% trans 'Social chat' %}</div>
    </div>
    <div>
      <div class="iconApp" id="facebookChat">
        <i id="fbNotReadMessagesCounter" class="material-icons"></i>
        <span class="icon icon-solid-mail"></span>
      </div>
      <div>{% trans 'Email' %}</div>
    </div>
</div>
{% include 'config.html' %}
<!-- Main Index -->
{% compress js %}
<!-- JsSIP -->
<script type="text/javascript" src="{% static 'ominicontacto/JS/config.js' %}"></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/jssip.js' %}"></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/state-machine-min.js' %}" ></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/constantes.js' %}"></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/agente/phoneJsFSM.js' %}" ></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/agente/omlAPI.js' %}" ></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/agente/phoneJsView.js' %}" ></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/agente/Timers.js' %}" ></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/agente/phoneJsSip.js' %}"></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/agente/phoneJsController.js' %}"></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/agente/click2Call.js' %}"></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/agente/main.js' %}"></script>
<!-- JsSip Debug -->
<!--<script>JsSIP.debug.enable('JsSIP:*');</script>-->
<!-- webChat -->
<!--script type="text/javascript" src="{% static 'ominicontacto/JS/JQueryWebChat.js' %}"></script-->
<!-- autobahn -->
<!-- <script type="text/javascript" src="{% static 'ominicontacto/JS/autobahn.min.js' %}"></script> -->
<!-- smschat -->
<!--script type="text/javascript" src="{% static 'ominicontacto/JS/textMessages.js' %}"></script-->
<!-- Socket.IO -->
<script type="text/javascript" src="{% static 'ominicontacto/JS/socket.io.js' %}"></script>
<!-- FacebookMessenger -->
<!--script type="text/javascript" src="{% static 'ominicontacto/JS/facebookMessenger.js' %}"></script-->
<!-- Calendar -->
<script type="text/javascript" src="{% static 'ominicontacto/JS/moment.min.js' %}"></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/bootstrap-datetimepicker.min.js' %}"></script>
<script type="text/javascript" src="{% static 'ominicontacto/JS/Calendar.js' %}"></script>
{% endcompress %}
<script type="text/javascript">

$(document).ready(function () {

    /* Toggle sidebar */
    $('#sidebarCollapse').on('click',function(){
        $('#navBar').toggleClass('active');
    });

    /* Toggle webphone from bottom bar and close button */
    $('#btnCloseWebphone').on('click',function(){
        $('#wrapperWebphone').removeClass('active');
    });

    /* Toggle webphone from bottom bar and close button */
    $('#webCall').on('click',function(){
        $('#wrapperWebphone').toggleClass('active');
    });

    // Get current window path
    currentPath = window.location.pathname;

    // Add active class to current selected anchor
    $("a[href='" + currentPath + "']").addClass("active");

    // Expand sidebar first level submenus for current selected anchor
    $("a[href='" + currentPath + "']").closest('ul .submenu').collapse('show');

    // Add active class to sidebar icon
    $("a[href='" + currentPath + "']").closest('.main-menu-li').find('.icon').addClass('active');

});

</script>

</body>

</html>
